%define name    sratom
%define version 0.6.14
%define release 30.1

Name: sratom
Version: 0.6.14
Release: 30.1.rncbc.suse
Summary:	A C library for serialising LV2 plugins
Group:		System/Libraries
License:	ISC
URL:		http://drobilla.net/software/%{name}/
Source0:	http://download.drobilla.net/%{name}-%{version}.tar.xz

BuildRequires:	coreutils
%if %{defined fedora}
BuildRequires:	pkgconfig
BuildRequires:	ninja-build
%else
BuildRequires:	pkg-config
BuildRequires:	ninja
%endif
BuildRequires:	meson
BuildRequires:	glibc-devel
BuildRequires:	gcc-c++
BuildRequires:	python python3 python3-rdflib
BuildRequires:	doxygen graphviz-devel
BuildRequires:	lv2-devel >= 1.12.0
BuildRequires:	libserd-devel >= 0.18.0
BuildRequires:	libsord-devel >= 0.10.0

%description
%{name} is a new C library for serialising LV2 atoms to/from Turtle. It is 
intended to be a full serialisation solution for LV2 atoms, allowing 
implementations to serialise binary atoms to strings and read them back again. 
This is particularly useful for saving plugin state, or implementing plugin 
control with network transparency.

#-----------------------------------
%define _lib_major 0
%define _lib_name lib%{name}-%{_lib_major}-0
%define _lib_name_devel lib%{name}-devel

%if %{defined fedora}
%global debug_package %{nil}
%endif

#-----------------------------------
%package -n %{_lib_name}
Summary:	A C library for serialising LV2 plugins
Group:		System/Libraries

%description -n %{_lib_name}
%{name} is a new C library for serialising LV2 atoms to/from Turtle. It is 
intended to be a full serialisation solution for LV2 atoms, allowing 
implementations to serialise binary atoms to strings and read them back again. 
This is particularly useful for saving plugin state, or implementing plugin 
control with network transparency.

%files -n %{_lib_name}
%defattr(-,root,root,-)
%doc NEWS COPYING
%{_libdir}/lib%{name}-%{_lib_major}.so.*

#-----------------------------------
%package -n %{_lib_name_devel}
Summary:	A C library for serialising LV2 plugins - development files
Group:		Development/Libraries
Requires:	pkgconfig
Requires:	%{_lib_name} >= %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{_lib_name_devel}
%{name} is a C library for serialising LV2 atoms to/from Turtle. It is 
intended to be a full serialisation solution for LV2 atoms, allowing 
implementations to serialise binary atoms to strings and read them back again. 
This is particularly useful for saving plugin state, or implementing plugin 
control with network transparency.

This package contains the headers and development libraries for %{name}.

%files -n %{_lib_name_devel}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-0.so
%{_libdir}/pkgconfig/%{name}-%{_lib_major}.pc
%{_includedir}/%{name}-%{_lib_major}/

#-----------------------------------
%prep
%setup -q 

%build
meson --prefix=%{_prefix} build

%install
DESTDIR=%{buildroot} \
meson install -C build

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "/" ] && %__rm -rf "%{buildroot}"

%post -n %{_lib_name}
/sbin/ldconfig

%postun -n %{_lib_name}
/sbin/ldconfig

#-----------------------------------
%changelog

* Fri Sep  9 2022 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.14
- New upstream release.
* Tue Jul 19 2022 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.12
- New upstream release.
* Fri May 27 2022 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.10
- New upstream release.
* Thu Jan  7 2021 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.8
- New upstream release.
* Sun Sep 27 2020 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.6
- New upstream release.
* Tue Nov 12 2019 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.4
- New upstream release.
* Sun Jul 22 2018 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.2
- New upstream release.
* Mon Sep 19 2016 Rui Nuno Capela <rncbc@rncbc.org> - 0.6.0
- New upstream release.
* Wed Nov 26 2014 Rui Nuno Capela <rncbc@rncbc.org> - 0.4.6
- OBS snapshot update.
